Bug 1419602 - Kerberos flags section outdated
Summary: Kerberos flags section outdated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Linux_Domain_Identity_Management_Guide
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lucie Maňásková
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 15:12 UTC by Aneta Šteflová Petrová
Modified: 2019-03-06 00:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 09:14:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Aneta Šteflová Petrová 2017-02-06 15:12:07 UTC
Section 28.4.1. Setting Kerberos Flags from the Web UI [1] reads:

"From the IdM web UI, you can currently only add the OK_AS_DELEGATE flag to a principal:"

This is no longer true. The other flag (REQUIRES_PRE_AUTH) is now also available in the web UI.

We need to review the Kerberos flags content and make sure it's up-to-date.

[1] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Linux_Domain_Identity_Authentication_and_Policy_Guide/kerberos-flags-services-hosts.html#kerberos-flags-ui

Comment 3 Petr Vobornik 2018-02-07 16:22:10 UTC
IPA has 3 Kerberos ticket flags for services:

From code:
ticket_flags_params = (
    Bool('ipakrbrequirespreauth?',
        cli_name='requires_pre_auth',
        label=_('Requires pre-authentication'),
        doc=_('Pre-authentication is required for the service'),
        flags=['virtual_attribute', 'no_search'],
    ),
    Bool('ipakrbokasdelegate?',
        cli_name='ok_as_delegate',
        label=_('Trusted for delegation'),
        doc=_('Client credentials may be delegated to the service'),
        flags=['virtual_attribute', 'no_search'],
    ),
    Bool('ipakrboktoauthasdelegate?',
        cli_name='ok_to_auth_as_delegate',
        label=_('Trusted to authenticate as user'),
        doc=_('The service is allowed to authenticate on behalf of a client'),
        flags=['virtual_attribute', 'no_search'],
    ),
)

_ticket_flags_map = {
    'ipakrbrequirespreauth': 0x00000080,
    'ipakrbokasdelegate': 0x00100000,
    'ipakrboktoauthasdelegate': 0x00200000,
}


In CLI help it looks like:

  --requires-pre-auth=BOOL
                        Pre-authentication is required for the service
  --ok-as-delegate=BOOL
                        Client credentials may be delegated to the service
  --ok-to-auth-as-delegate=BOOL
                        The service is allowed to authenticate on behalf of a
                        client

Documenation doesn't list ok-to-auth-as-delegate. The Web UI screenshot shows only 1 krb flag. So the screenshot should be updated.

SME for description or purpose of the third flag is Alexander.

Same flags can be set also for host objects.


Note You need to log in before you can comment on or make changes to this bug.